Subject: Re: [PATCH net-next v2 3/4] mlxbf_gige: add BlueField-3 Serdes configuration

From: Jakub Kicinski <[email-masked]>
Date: Mon, 14 Nov 2022 17:13:05 -0800

On Tue, 15 Nov 2022 02:06:19 +0100 Andrew Lunn wrote:
>   > I am not advocating for black magic tables of course :), but how do we  
> > > avoid them if request_firmware() will be an overkill to configure such a
> > > simple device? Express such data in a developer friendly c structures
> > > with somewhat sensible field names?  
> > 
> > I don't feel particularly strongly but seems like something worth
> > exploring. A minor advantage is that once the init is done the tables
> > can be discarded from memory.  
> 
> I wondered about that, but i'm not sure initdata works for modules,
> and for hot pluggable devices like PCIe, you never know when another
> one might appear and you need the tables.

Right, I meant that the request_firmware() version can discard 
the tables. I shouldn't have said tables :)